package com.huiju.welcome.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.mapper.TaGoodsSpecMapper;
import com.huiju.welcome.model.TaGoodsSpec;
import com.huiju.welcome.service.ITaGoodsSpecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Service
public class TaGoodsSpecServiceImpl extends ServiceImpl<TaGoodsSpecMapper, TaGoodsSpec> implements ITaGoodsSpecService {
    @Autowired
    private TaGoodsSpecMapper taGoodsSpecMapper;

    @Override
    public ResponseBean specGoodsList(IPage<TaGoodsSpec> pg, String specName) {
        ResponseBean responseBean= new ResponseBean();
        IPage<TaGoodsSpec> list= taGoodsSpecMapper.specGoodsList(pg,specName);
        responseBean.addSuccess(list);
        return responseBean;
    }

    @Override
    public List<TaGoodsSpec> specListByGoodsId( Integer goodsId) {
        List<TaGoodsSpec> list= taGoodsSpecMapper.specListByGoodsId(goodsId);
        return list;
    }

    @Override
    public void deleteSpecsByGoodsId (Integer goodsId){
        taGoodsSpecMapper.deleteSpecsByGoodsId(goodsId);
    }

}
